<?php
// Copyright 2000, Cobalt Networks.  All rights reserved.
// $Id: power.php,v 1.11 2000/09/08 22:30:47 ebraswell Exp $

include("ServerScriptHelper.php");

$serverScriptHelper = new ServerScriptHelper();
$factory = $serverScriptHelper->getHtmlComponentFactory("base-power", "/base/power/power.php");
$i18n = $serverScriptHelper->getI18n("base-power");

$stylist = $serverScriptHelper->getStylist();
$style = $stylist->getStyle("Page");
$fontTag = "<FONT STYLE=\"" . $style->toTextStyle() . "\">%s</FONT>";

$page = $factory->getPage();

$shutdownMessage = $i18n->getJs("shutdownMessage");

$button = $factory->getButton("javascript: confirmReboot()", "reboot");

$serverScriptHelper->destructor();

print($page->toHeaderHtml());
?>
<SCRIPT LANGUAGE="javascript">
function confirmReboot()
{
  if (confirm("<?php print $i18n->get("askRebootConfirmation"); ?>"))
  {
    location = "/base/power/rebootHandler.php"
  }
}
</SCRIPT>
<BR>

<?php print($button->toHtml()); ?>
<BR>

<BLOCKQUOTE>
	<?php print($i18n->get("shutdownMessage")); ?>
</BLOCKQUOTE>
<P>
<TABLE WIDTH="50%">
	<TR>
		<TD>
<?php printf($fontTag, $i18n->get("shutdownInstructions")); ?>
		</TD>
	</TR>
</TABLE>




<?php print($page->toFooterHtml()); ?>
