<?php
// Author: Phil Ploquin
// Copyright 2000, Cobalt Networks.  All rights reserved.

include("ServerScriptHelper.php");

$serverScriptHelper = new ServerScriptHelper($sessionId);
$i18n = $serverScriptHelper->getI18n("base-power");
$cceClient = $serverScriptHelper->getCceClient();
$factory = $serverScriptHelper->getHtmlComponentFactory("base-telnet",
                                         "/base/telnet/rebootHandler.php");
$page = $factory->getPage();

print($page->toHeaderHtml());
print $i18n->get("rebooting") . '<br>';
print($page->toFooterHtml());

$sysoid = $cceClient->find("System");
$cceClient->set($sysoid, "", array("reboot" => time()));

?>
